# XSLTProcessor::importStylesheet

(PHP 5, PHP 7)

XSLTProcessor::importStylesheet — Import stylesheet

### Description

public XSLTProcessor::importStylesheet ( object `$stylesheet` ) : bool

This method imports the stylesheet into the XSLTProcessor for transformations.

### Parameters

`stylesheet`

  The imported style sheet as a DOMDocument or SimpleXMLElement object.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.2.8 | Accepts SimpleXMLElement again which was broken since PHP 5.2.6.